X2Go Bug report logs - #355
Fwd: [X2Go-User] Fullscreen session stops working in unity

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sat, 7 Dec 2013 21:40:28 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.8

Fixed in version 4.0.1.10

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#355; Package x2goserver. (Sat, 07 Dec 2013 21:40:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 07 Dec 2013 21:40:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Harvey Eneman <harvey.eneman@oracle.com>, Markus Fritsche <fritsche.markus@gmail.com>
Subject: Fwd: [X2Go-User] Fullscreen session stops working in unity
Date: Sat, 07 Dec 2013 21:40:05 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: normal
Version: 4.0.1.8

Hi Harvey,

redirecting your message below into X2Go BTS... I have a fix waiting  
locally to be pushed into our Git, but I want to track this issue in  
our BTS, so that we later understand what we did...

Mike

----- Weitergeleitete Nachricht von Harvey Eneman  
<harvey.eneman@oracle.com> -----
  Datum: Tue, 3 Dec 2013 19:34:03 +0000 (UTC)
    Von: Harvey Eneman <harvey.eneman@oracle.com>
Betreff: Re: [X2Go-User] Fullscreen session stops working in unity
     An: x2go-user@lists.berlios.de

Markus Fritsche <fritsche.markus@...> writes:

>
> Hello, 
> I googled it, but didn't came up with a solution (probably due to wrong
searchterms). I am connecting to a x2go server just fine in fullscreen mode=..
When I minimize the session (using the top right hot corner) and go back, I
can't open the window after the second time I did that (minimize & reopen
the window). The session still seems to be working & valid, just I can't see
the window.
>
> I am using x2go-stable from ubuntu ppa on Ubuntu-13.10 with standard unity
(no tweaks). Did someone have a similar problem and solved it?
>
>
> Best regards, 
>
>   Markus
>
>
> <div><div dir="ltr">Hello, <div><br></div>
> <div>I googled it, but didn't came up with a solution (probably due to
wrong searchterms). I am connecting to a x2go server just fine in fullscreen
mode. When I minimize the session (using the top right hot corner) and go
back, I can't open the window after the second time I did that (minimize
& reopen the window). The session still seems to be working & valid,
just I can't see the window.</div>
> <div><br></div>
> <div>I am using x2go-stable from ubuntu ppa on Ubuntu-13.10 with standard
unity (no tweaks). Did someone have a similar problem and solved it?</div>
> <div><br></div>
> <div><br></div>
> <div>Best regards, </div>
> <div>
>   Markus</div>
> </div></div>
>

I had a similar issue and debugged it successfully.  The issue occurs
because the x2gostartagent script and the x2goresume-session script become
out-of-sync with respect to options file when fullscreen is used, i.e., the
x2goresume-session expects the geometry field to be in position 13.  The
fact that the geometry field is missing causes x2goresume-session to misread
the options file and subsequently corrupt it.  To resume a fullscreen
session, you may edit the options file to correct the corruption.  To
prevent the issue in new sessions, I edited the x2gostartagent script to
coerce it to include an empty geometry field.  Unfortunately, the post
service required splitting the diff lines but I think you should still be
able follow it.

258c258
< 	option_geometry="${X2GO_GEOMETRY}"
---
> 	option_geometry="geometry=${X2GO_GEOMETRY},"
262c262
<   X2GO_HOST="nx/nx,link=${X2GO_LINK},pack=${X2GO_PACK},limit=0,
root=${SESSION_DIR},cache=8M,images=32M,type=${X2GO_TYPE},id=${SESSION_NAME},
cookie=$X2GO_COOKIE,errors=${SESSION_LOG},kbtype=null/null,
geometry=${option_geometry},resize=${X2GO_RESIZE},
fullscreen=${X2GO_FULLSCREEN},accept=${REMOTE},listen=${GR_PORT},
client=linux,menu=0"
---
>   X2GO_HOST="nx/nx,link=${X2GO_LINK},pack=${X2GO_PACK},limit=0,
root=${SESSION_DIR},cache=8M,images=32M,type=${X2GO_TYPE},id=${SESSION_NAME},
cookie=$X2GO_COOKIE,errors=${SESSION_LOG},kbtype=null/null,
${option_geometry}resize=${X2GO_RESIZE},fullscreen=${X2GO_FULLSCREEN},
accept=${REMOTE},listen=${GR_PORT},client=linux,menu=0"
264c264
<   X2GO_HOST="nx/nx,link=${X2GO_LINK},pack=${X2GO_PACK},limit=0,
root=${SESSION_DIR},cache=8M,images=32M,type=${X2GO_TYPE},id=${SESSION_NAME},
cookie=$X2GO_COOKIE,errors=${SESSION_LOG},kbtype=${X2GO_KBD_TYPE},
geometry=${option_geometry},resize=${X2GO_RESIZE},
fullscreen=${X2GO_FULLSCREEN},accept=${REMOTE},listen=${GR_PORT},
client=linux,menu=0"
---
>   X2GO_HOST="nx/nx,link=${X2GO_LINK},pack=${X2GO_PACK},limit=0,
root=${SESSION_DIR},cache=8M,images=32M,type=${X2GO_TYPE},id=${SESSION_NAME},
cookie=$X2GO_COOKIE,errors=${SESSION_LOG},kbtype=${X2GO_KBD_TYPE},
${option_geometry}resize=${X2GO_RESIZE},fullscreen=${X2GO_FULLSCREEN},
accept=${REMOTE},listen=${GR_PORT},client=linux,menu=0"



_______________________________________________
X2Go-User mailing list
X2Go-User@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-user

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#355; Package x2goserver. (Sat, 07 Dec 2013 21:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 07 Dec 2013 21:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 355@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 355-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 355@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 7 Dec 2013 22:46:26 +0100 (CET)
tag #355 pending
fixed #355 4.0.1.10
thanks

Hello,

X2Go issue #355 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=14900d5

The issue will most likely be fixed in src:x2goserver (4.0.1.10).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 14900d5b5532b878d37a7dad071bf3c3d0779707
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Dec 7 22:45:20 2013 +0100

    Fix x2goresume-session. The several parameters placed into the NX options file are expected by x2goresume-session at very specific positions. This we broke by trying to fix the fullscreen/geometry issue in x2gostartagent. Thanks to Harvey Eneman for tracking this down!!! (Fixes: #355).

diff --git a/debian/changelog b/debian/changelog
index d8a3a01..b1cfef0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,10 @@
 x2goserver (4.0.1.10-0x2go1) UNRELEASED; urgency=low
 
+  * New upstream version (4.0.1.10):
+    - Fix x2goresume-session. The several parameters placed into the NX options
+      file are expected by x2goresume-session at very specific positions. This
+      we broke by trying to fix the fullscreen/geometry issue in x2gostartagent.
+      Thanks to Harvey Eneman for tracking this down!!! (Fixes: #355).
   * Grab systemd service file from Fedora and ship it upstream.
   * Add init script for RPM based distro. Taken from the Fedora
     package.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Dec 2013 21:48:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.10. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Dec 2013 21:48:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#355. (Sat, 07 Dec 2013 21:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#355; Package x2goserver. (Mon, 06 Jan 2014 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 06 Jan 2014 17:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 355@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 355-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 355@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Mon, 6 Jan 2014 18:28:54 +0100 (CET)
close #355
thanks

Hello,

we are very hopeful that X2Go issue #355 reported by you
has been resolved in the new release (4.0.1.10) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.10)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1a793e3d843bbeee3e597c762d9fe1d19c97baa7;hp=f26122424320ebdb563af072fc89cc03ce8bc158

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.10-0x2go1
Status: RELEASE
Date: Fri, 03 Jan 2014 11:34:36 +0100
Fixes: 354 355
Changes: 
 x2goserver (4.0.1.10-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (4.0.1.10):
     - Fix x2goresume-session. The several parameters placed into the NX options
       file are expected by x2goresume-session at very specific positions. This
       we broke by trying to fix the fullscreen/geometry issue in x2gostartagent.
       Thanks to Harvey Eneman for tracking this down!!! (Fixes: #355).
     - x2goserver-fmbindings/Makefile: install x2gofm.
     - x2goserver-fmbindings/Makefile: install share/applications and share/mime.
     - x2goserver-printing/Makefile: create feature.d directory before installing
       files into it.
     - Handle TCP listening of x2goagent in x2goagent.options. (Fixes: #354).
     - Clean up Makefiles, remove commented out lines.
     - Use xkb ruleset 'base' rather than xfree86 as on RHEL systems the
       xfree86 symlink to base ruleset does not exist.
     - Grab systemd service file from Fedora and ship it upstream.
     - Provide RHEL/Fedora support in x2goserver-xsession.
     - Only sanity check for existence of /etc/x2go/Xsession.d on Debian
       (derived) systems.
     - Provide man page for x2goserver.conf.
   * x2goserver.spec:
     + Ship x2goserver.spec (RPM package definitions) in upstream project.
       (Thanks to the Fedora package maintainers). File differs from the Fedora
       file already.
     + Add init script for RPM based distro. Taken from the Fedora
       package.
     + Clear (Fedora package) changelog.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 06 Jan 2014 17:30:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 06 Jan 2014 17:30:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#355. (Mon, 06 Jan 2014 17:30:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 04 Feb 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 23 03:21:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.